Activate, wait, end or reopen a support request at its expected version
curl --request POST \
--url https://app.communicate.so/api/v1/workspaces/{workspaceId}/support-requests/{requestId}/transitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedVersion": 123,
"transition": {
"kind": "activate"
},
"idempotencyKey": "<string>",
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedVersion: 123,
transition: {kind: 'activate'},
idempotencyKey: '<string>',
reason: '<string>'
})
};
fetch('https://app.communicate.so/api/v1/workspaces/{workspaceId}/support-requests/{requestId}/transitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.communicate.so/api/v1/workspaces/{workspaceId}/support-requests/{requestId}/transitions"
payload = {
"expectedVersion": 123,
"transition": { "kind": "activate" },
"idempotencyKey": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}Workspaces
Activate, wait, end or reopen a support request at its expected version
Use an explicitly scoped user-bound account bearer credential or an application session. Scope grants are intersected with live membership, role, tenant isolation, agent access and plan limits; a credential does not grant an owner role. Invitation acceptance requires the verified recipient email.
POST
/
workspaces
/
{workspaceId}
/
support-requests
/
{requestId}
/
transitions
Activate, wait, end or reopen a support request at its expected version
curl --request POST \
--url https://app.communicate.so/api/v1/workspaces/{workspaceId}/support-requests/{requestId}/transitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedVersion": 123,
"transition": {
"kind": "activate"
},
"idempotencyKey": "<string>",
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedVersion: 123,
transition: {kind: 'activate'},
idempotencyKey: '<string>',
reason: '<string>'
})
};
fetch('https://app.communicate.so/api/v1/workspaces/{workspaceId}/support-requests/{requestId}/transitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.communicate.so/api/v1/workspaces/{workspaceId}/support-requests/{requestId}/transitions"
payload = {
"expectedVersion": 123,
"transition": { "kind": "activate" },
"idempotencyKey": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}Authorizations
accountBeareraccountSessionlocalAccountSession
Path Parameters
Body
application/json